Ruby logo

The RubyMine Blog

The Ruby on Rails IDE

News

RubyMine Hinoki EAP is Open!

Hello everyone,

splashHinokiEAPHopefully you’ve already tasted and liked all the new features of RubyMine 6 and are ready to something new. If so, you’ll be glad to know Early Access Program is now open for the next RubyMine release! Being true to traditions the next IDE version uses ‘Hinoki’ codename which is stands for cypress tree native to central Japan.

Welcome the new features:

  • Spring is now supported as Rails 4.1 uses it by default
  • Slim 2.0 is supported as well
  • Vagrant plugin is now bundled
  • AngularJS framework is supported (make sure to install our AngularJS plugin)
  • REST Client now has cookies support

Please take a look at the release notes for more details and try RubyMine Hinoki. Your feedback is very welcome as always. You can also read our development roadmap to know more about RubyMine Hinoki features being planned.


Develop with pleasure!
JetBrains RubyMine Team

Comments below can no longer be edited.

11 Responses to RubyMine Hinoki EAP is Open!

  1. Avatar

    CrusaderGo says:

    February 18, 2014

    Good job, JetBrains Team!

    • Tatiana Vasilyeva

      Tatiana Vasilyeva says:

      February 18, 2014

      Thanks! Develop with pleasure 🙂

  2. Avatar

    brainjest says:

    February 18, 2014

    release notes link is requiring confluence login

    • Tatiana Vasilyeva

      Tatiana Vasilyeva says:

      February 18, 2014

      Now should work, sorry for that. Thanks for the comment.

  3. Avatar

    Anthony Graham says:

    February 19, 2014

    Is it possible to get an EAP ruby plugin for IDEA? I’m trying to work out if ruby mine or IDEA is better if I also dabble in other languages, I’m always using the very latest rails so prompt updates are important to me.

  4. Avatar

    Khalid Shaikh says:

    February 19, 2014

    Спасибо за новую версию, мы ценим это.
    Thank you for the new build, we appreciate it.

    • Tatiana Vasilyeva

      Tatiana Vasilyeva says:

      February 20, 2014

      Спасибо 🙂

  5. Avatar

    TK says:

    February 19, 2014

    I had purchased RubyMine 4.0 and 4.5 and used with great success. I started evaluating v 6.0.3 and EAP 134.1146 and see debugging does not work on UbuntuStudio 13.10, Oracle Java 1.7.5x, ruby 2.1 or rubinius 2.5.x. On Windows 7 x64 with ruby 2.0.x x64 (RubyInstaller) and EAP 134.1146 I can step in the debugger. My main development system is on Linux. I see other complaints about debugger not working. I read that the next EAP after 6.0.3 will have better rubinius debug support. This doesn’t appear to be the case. When will this be fixed ? I cannot purchase the product without a working debugger. FYI, you can start the debugger and it stops at the first break point then all the buttons go grey and you have to kill the task. What is the difference between Linux and Windows ? Java ? something internal ?

    • Tatiana Vasilyeva

      Tatiana Vasilyeva says:

      February 20, 2014

      Unfortunately debugging support for rubinius is still an open issue.

      But if there are problems with MRI could you please add an issue with your logs.

  6. RubyMine ひのき EAP リリース | JetBrains ブログ says:

    February 20, 2014

    […] 原文 […]

Discover more